<?php
/*------------------------------------------------------------------------
# JA Koniga 1.0 - September, 2007
# ------------------------------------------------------------------------
# Copyright (C) 2004-2006 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
-------------------------------------------------------------------------*/

defined( '_JEXEC' ) or die( 'Restricted access' );

include_once (dirname(__FILE__).DS.'ja_templatetools.php');
$this->ja_color_themes = array('default','red','green');
global $ja_color_themes, $ja_header_images, $ja_width_default, $ja_color_default, $ja_font_size_default, $ja_tool, $ja_menutype, $ja_template_path, $ja_template_absolute_path, $ja_headerimg, $ja_color, $ja_width, $ja_font_size, $ja_template_name;
global $jaMainmenuLastItemActive;
$jaMainmenuLastItemActive = false;

$tempTools = new JA_Tools($this);
$JAconfig = $tempTools->getUserSetting();

# Auto Collapse Divs Functions ##########
$ja_left = $this->countModules('left');
$ja_right = $this->countModules('right + user4');

if ( $ja_left && $ja_right ) {
  //2 columns on the right
	$divid = '';
} elseif ( ($ja_left && !$ja_right) ) {
  //One column without masscol
	$divid = '-fr';
} elseif ((!$ja_left && $ja_right)) {
  //One column with masscol
	$divid = '-fl';
} else {
  //No column in right
	$divid = '-f';
}

$msie='/msie\s(5\.[5-9]|[6]\.[0-9]*).*(win)/i';
$supported_browsers = !isset($_SERVER['HTTP_USER_AGENT']) ||
	!preg_match($msie,$_SERVER['HTTP_USER_AGENT']) ||
	preg_match('/opera/i',$_SERVER['HTTP_USER_AGENT']);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Style-Type" content="text/css" />

<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>

<script language="javascript" type="text/javascript" src="templates/<?php echo $JAconfig->template; ?>/scripts/ja.script.js"></script>
<link rel="stylesheet" href="templates/<?php echo $JAconfig->template ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $JAconfig->template ?>/css/gallery.css" type="text/css" />
<link rel="stylesheet" href="modules/mod_ja_slidegallery/mod_ja_slidegallery/css/slimbox.css" type="text/css" />
<link href="templates/<?php echo $JAconfig->template ?>/css/ja-newsmoo.css" rel="stylesheet" type="text/css" />

<?php $tempTools->genMenuHead(); ?>

<link rel="stylesheet" href="templates/<?php echo $JAconfig->template ?>/css/colors/<?php echo $JAconfig->ja_color; ?>.css" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}

#ja-avatar, #ja-newsflash, #ja-subnav, div.moduletable h3, div.moduletable_menu h3 {
	background-repeat: no-repeat;
	background-position: -1000px;
}

</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->
</head>

<body id="bd" class="<?php echo $JAconfig->ja_width." fs".$JAconfig->ja_font_size;?>">
<a name="Top" id="Top"></a>

<ul class="accessibility">
	<li><a href="#ja-content" title="Skip to content">Skip to content</a></li>
	<li><a href="#ja-col1" title="">Skip to 1st column</a></li>
	<li><a href="#ja-col2" title="">Skip to 2nd column</a></li>
</ul>

<div id="ja-wrapper">

<!-- BEGIN: MAIN NAVIGATION -->
<!-- BEGIN: HEADER -->
<div id="ja-headerwrap">
	<div id="ja-header" class="clearfix">
		<h1 class="logo"><a href="index.php"><?php echo $mainframe->getCfg('sitename')?></a></h1>

	  <?php if ($JAconfig->ja_tool) { ?>
    	<div id="ja-usertools">
    		<?php $tempTools->genToolMenu($JAconfig->ja_tool); ?>
    	</div><div class="clr"></div>
	  <?php } ?>

  </div>
</div>
<!-- END: HEADER -->

<div id="ja-mainnavwrap">
  <div id="ja-mainnav" class="clearfix">
  	  <?php
  	  	switch ($JAconfig->ja_menutype) {
  	  		case 1:
  	  			include(dirname(__FILE__).DS."/ja_Splitmenu.php");
  					$jamenu->genMenu (0);
  	  			break;
  	  		case 2:
  			case 4:
  	  			include(dirname(__FILE__).DS."/ja_cssmenu.php");
  				$jamenu->genMenu (0);
  	  			break;
  	  		case 3:
  	  			echo "<div class=\"transmenu-inner\">";
  	  				include(dirname(__FILE__).DS."/ja_transmenu.php");
  					$jamenu->genMenu (0);
  	  			echo "</div>";
  	  		break;
 			case 5:
	  			include(dirname(__FILE__).DS."/ja_scriptdlmenu.php");
				$jamenu->genMenu (0, 0);
	  			break;
 	  	}
  	  ?>
  	</div>
</div>

	<?php if ($JAconfig->ja_menutype == 5 || ($JAconfig->ja_menutype == 1 && $jamenu->hasSubMenu (1))) {?>
	<div id="ja-subnavwrap">
	<div id="ja-subnav" class="clearfix">
		<?php
			echo $jamenu->genMenu (1);
		?>
	</div>
	</div>
	<?php } ?>
<!-- END: MAIN NAVIGATION -->

<!-- BEGIN: TOP SPOTLIGHT -->
<?php if( $this->countModules('slideshow') && $this->countModules('newslight') ) { ?>
<div id="ja-topslwrap">
  <div id="ja-topsl">
    <div class="ja-wrap1"><div class="ja-wrap2 clearfix">

      <?php if($this->countModules('slideshow')) { ?>
        <div id="ja-slideshowwrap">
          <div id="ja-slideshow">
			<jdoc:include type="modules" name="slideshow" style="xhtml" />
          </div>
        </div>
      <?php } ?>

      <?php if($this->countModules('newslight') ) { ?>
        <div id="ja-newslight" class="clearfix">
			<jdoc:include type="modules" name="newslight" style="xhtml" />
        </div>
      <?php } ?>

    </div></div>
  </div>
</div>
<?php } ?>
<!-- END: TOP SPOTLIGHT -->

<!-- CONTENT -->
<div id="ja-containerwrap" class="clearfix">
	<div id="ja-container<?php echo $divid ?>">

   <!-- BEGIN: PATHWAY -->
   <div id="ja-pathwaywrap">
     <div id="ja-pathway">
        <?php if ($this->countModules('breadcrumb')) { ?>
           <strong>You are here:</strong> <jdoc:include type="modules" name="breadcrumb" />
        <?php } ?>
	</div>
   </div>
   <!-- END: PATHWAY -->

	<!-- BEGIN: CONTENT -->
	<div id="ja-contentwrap"><div class="ja-wrap1"><div class="ja-wrap2 clearfix">
		<div id="ja-content">
			<div class="innerpad">

				<jdoc:include type="component" />

				<?php if ( $this->countModules("banner") ) { ?>
				<div class="ja-banner">
          			<jdoc:include type="modules" name="banner" style="xhtml" />
       			 </div>
        <?php } ?>

			</div>
		</div>

 		<?php if ($ja_left) { ?>
		<div id="ja-col1">
			<jdoc:include type="modules" name="left" style="xhtml" />
		</div>
		<?php } ?>

	</div></div></div>
	<!-- END: CONTENT -->

	</div>

	<!-- BEGIN: COLUMNS -->
		<?php if ($ja_right || $this->countModules('user4')) { ?>
		<div id="ja-col2"><div class="ja-wrap1"><div class="ja-wrap2"><div class="ja-wrap3 clearfix">

      <?php if( $this->countModules('user4') ) { ?>
      		<div id="ja-search">
				<jdoc:include type="modules" name="user4" />
		 	 </div><div class="clr"></div>
		  <?php } ?>
		<?php if ($ja_right) { ?>
			<jdoc:include type="modules" name="right" style="xhtml" />
		<?php } ?>
		</div></div></div></div><br />
		<?php } ?>
	<!-- END: COLUMNS -->

</div>
<!-- CONTENT -->
<?php
$spotlight = array ('user1', 'user2','user8','user9');
$botsl = $tempTools->calSpotlight ($spotlight);
if( $botsl ) {
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botslwrap">
	<div id="ja-botsl"><div class="ja-wrap1"><div class="ja-wrap2 clearfix">

		<?php if( $this->countModules('user1') ) {?>
	  <div class="ja-box<?php echo $botsl['modules']['user1']; ?>" style="width: <?php echo $botsl['width']; ?>;">
	    <jdoc:include type="modules" name="user1" style="xhtml" />
	  </div>
	  <?php } ?>

	  <?php if( $this->countModules('user2') ) {?>
	  <div class="ja-box<?php echo $botsl['modules']['user2']; ?>" style="width: <?php echo $botsl['width']; ?>;">
	     <jdoc:include type="modules" name="user2" style="xhtml" />
	  </div>
	  <?php } ?>

	  <?php if( $this->countModules('user8') ) {?>
	  <div class="ja-box<?php echo $botsl['modules']['user8']; ?>" style="width: <?php echo $botsl['width']; ?>;">
	   <jdoc:include type="modules" name="user8" style="xhtml" />
	  </div>
	  <?php } ?>

	  <?php if( $this->countModules('user9') ) {?>
	  <div class="ja-box<?php echo $botsl['modules']['user9']; ?>" style="width: <?php echo $botsl['width']; ?>;">
	    <jdoc:include type="modules" name="user9" style="xhtml" />
	  </div>
	  <?php } ?>

	</div></div></div>
</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footerwrap">
	<div id="ja-footer">

	  <small>
  			<?php include (dirname(__FILE__).DS.'/footer.php');?>
		</small>                                                                                                                                                                                                                                               

<?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
<div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?> 

		<div id="ja-cert">
		 
		</div>

	</div>
</div>
<!-- END: FOOTER -->

</div>


<jdoc:include type="modules" name="debug" />
</body>

</html>
